runkit_method_redefine
runkit_method_rename
runkit Functions
PHP Manual

# runkit_method_remove

(PECL runkit:0.7-0.9)

runkit_method_remove — Dynamically removes the given method

### Description

bool runkit_method_remove ( string `$classname` , string `$methodname` )

> Note: This function cannot be used to manipulate the currently running (or chained) method.

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`classname`

  The class in which to remove the method

`methodname`

  The name of the method to remove

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 runkit_method_remove() example

`<?php
class Example {
function foo() {
return "foo!\n";
}
function bar() {
return "bar!\n";
}
}
// Remove the 'foo' method
runkit_method_remove(
'Example',
'foo'
);
echo implode(' ', get_class_methods('Example'));
?>`

The above example will output:

    bar

### See Also

- runkit_method_add()
- runkit_method_copy()
- runkit_method_redefine()
- runkit_method_rename()
- runkit_function_remove()

runkit_method_redefine
runkit_method_rename
runkit Functions
PHP Manual